Page MenuHomePhabricator

WMHack19: The native language name for [sms] Skolt Sami should be changed from "sää´mǩiõll" and "sääʹmǩiõll" to "nuõrttsääʹmǩiõll"
Closed, ResolvedPublic

Description

"Sää´mǩiõll" has the wrong palatalization marker. "Sääʹmǩiõll" to "nuõrttsääʹmǩiõll" is the same change that was made in T156589.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterUpdate Skolt Sami language name

Event Timeline

Yupik created this task.May 17 2019, 10:33 AM
Zache renamed this task from The native language name for [sms] Skolt Sami should be changed from "sää´mǩiõll" and "sääʹmǩiõll" to "nuõrttsääʹmǩiõll" to WMHack19: The native language name for [sms] Skolt Sami should be changed from "sää´mǩiõll" and "sääʹmǩiõll" to "nuõrttsääʹmǩiõll".May 17 2019, 10:49 AM

Change 510875 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Update Skolt Sami language name

https://gerrit.wikimedia.org/r/510875

Yupik moved this task from Incoming to In progress on the WMFI board.May 17 2019, 2:34 PM
Yupik moved this task from In progress to Patch for Review on the WMFI board.
Yupik moved this task from Incoming to In progress on the WMNO-Sami board.May 18 2019, 12:12 AM

For the name of the language, go to the Language Board and select the illative version of the language (nuõrttsääʹmǩiõʹlle) and convert it to the nominative form (nuõrttsääʹmǩiõll). As can been seen from the Skolt pages, both nuõrttsääʹmǩiõll and sääʹmǩiõll are in use, but the longer version is used to differentiate between the different Saami languages.

Yupik added a comment.May 21 2019, 3:10 PM

Discussion on the palatalization marker from Feist's dissertation 10 years ago, p. 40, footnote 15. Five years later the Language Board had this to say about using it in a document about normalizing/standardizing how to write Skolt Saami (also note the spelling of Skolt Saami below) on computers:

Noormtummuš: Nuõrttsääʹmǩiõl ǩeeʹrjtummuš teâttmašinain
Jack Rueter leäi eʹtǩǩääm, što nuõrttsääʹm ǩiõlljuâǥǥtõs oudd siâzztõõzz tõʹst, mâiʹd miârkid ââʹnet
nuõrttsääʹmǩiõlâst teâttmâšiinain ǩeeʹrjteʹmmen.
Nuõrttsääʹm ǩiõlljuâǥǥtõs siâzztââll, što nuõrttsääʹmǩiõl teâttmašinain ǩeeʹrjteʹmmen ââʹnet Tim Feist -näppäimistöajuri meâldlaž miârkid, ko ǩeeʹrjtet >teeʹmestiõtt ʹ , räʹtǩǩeem-miârk ʼ da raʹvves tääʹzz miârkk ˈ .
Miârki Unicode-teâđ lie:
teeʹmestiõtt ʹ (U+02B9, MODIFIER LETTER PRIME)
räʹtǩǩeem-miârk ʼ (U+02BC, MODIFIER LETTER APOSTROPHE)
raʹvves tääʹzz miârkk ˈ (U+02C8, MODIFIER LETTER VERTICAL LINE)

Ǩiõlljuâǥǥtõs tuâtt, što sääʹmǩiõl ǩeeʹrjtummuš teâttmašinain oʹnnast pueʹrben Tim Feist -näppäimistöajuriin, ko Windows jiijjâs ajuri ij tuåim nuʹtt >puârast nuõrttsääʹmǩiõlâst. Tim Feist -näppäimistöajuri pirr vuäitt kõõččâd Tiina Sanila-Aikiost (tiina(at)sanila.fi). Son juâkk tõn ođđmõs versio da vuäitt >še vuäʹpsted âânnmõõžžâst.

(Source: Nuõrttsääʹmǩiõl täävtummuš da ǩeeʹrjtummuš teâttmašinain 27.11.2015)

Yupik closed this task as Resolved.Jun 1 2019, 10:40 PM
Yupik moved this task from Patch for Review to Blocked on the WMFI board.Jun 3 2019, 12:17 AM
Yupik moved this task from Blocked to Done on the WMFI board.
jhsoby-WMNO moved this task from In progress to Done on the WMNO-Sami board.Jun 3 2019, 11:32 AM